#!/bin/bash

share_path="../../build/share/"
if [[ ! -e "$share_path" ]]; then
    echo
    echo "Please build first with cmake!"
    exit 1
fi

version=$(git describe --dirty)
version=${version##*v}

mkdir appimage_files

tar -xf muckturnier-$version.tar.xz -C appimage_files/
rm appimage_files/muckturnier-*/src/MacOSApplication.*

cp -r $share_path appimage_files/muckturnier-$version/res/appimage_build/

sed -i "s/@VERSION@/$version/" \
       appimage_files/muckturnier-$version/res/appimage_build/make_appimage_build.sh
