/* Copyright (c) 2018-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef EXPANDINGLABEL_H
#define EXPANDINGLABEL_H

// Qt includes
#include <QLabel>

class ExpandingLabel : public QLabel
{
    Q_OBJECT

public:
    explicit ExpandingLabel(QWidget *parent = nullptr);
    void resizeText();

protected:
    virtual void resizeEvent(QResizeEvent *event) override;

};

#endif // EXPANDINGLABEL_H
