/* Copyright (c) 2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

namespace Draw
{

int indexForPair(int pair)
{
    return pair == 1 ? 0 : 2;
}

int indexForPlayer(int pair, int player)
{
    return indexForPair(pair) + player - 1;
}

int otherPair(int pair)
{
    return pair % 2 + 1;
}

int pairForIndex(int index)
{
    return index / 2 % 2 + 1;
}

int playerForIndex(int index)
{
    return index % 2 + 1;
}

}
