#!/usr/bin/perl -w

use strict;

my $changeLogFile = 'changelog_excerpt.html';
open(my $changeLog, '>', $changeLogFile) or die "Could not open $changeLogFile: $!";

my @html = `(echo ".. contents:: Übersicht"; echo; cat ../../doc/ChangeLog.txt) | rst2html5.py`;

while ($_ = shift @html) {
    last if /<body>/;
}

while ($_ = shift @html) {
    last if /<\/body>/;
    s/<h1>(.+)<\/h1>/<h2>$1<\/h2>/;
    print $changeLog $_;
}

close $changeLog;
