/* Copyright (c) 2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef MINIMUMVIEWPORTWIDGET_H
#define MINIMUMVIEWPORTWIDGET_H

// Qt includes
#include <QWidget>

class MinimumViewportWidget : public QWidget
{
    Q_OBJECT

public:
    explicit MinimumViewportWidget(QWidget *parent = nullptr);
    void setMinimumViewport(const QSize &size);
    QSize minimumViewport() const;

private: // Variables
    QSize m_minimumViewport;

};

#endif // MINIMUMVIEWPORTWIDGET_H
