/* Copyright (c) 2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef URLS_H
#define URLS_H

// Qt includes
#include <QLatin1String>

namespace Urls
{

const QLatin1String HOMEPAGE  ("https://muckturnier.org/");
const QLatin1String DOWNLOAD  ("https://muckturnier.org/download/");
const QLatin1String README    ("https://muckturnier.org/readme/");
const QLatin1String BUGTRACKER("https://gitlab.com/l3u/muckturnier/-/issues");

}

#endif // URLS_H
